<?
/*
Autor: Lic. Carlos Alberto Vaca Coronado
Version: 3.2.0
*/

session_name('portal_absa');
session_start();
require_once("conexion/conectar.php"); 

$conexion = new CONDB();
$conexion->conectar();

if(isset($_POST["pass_ant"]) && isset($_POST["pass"])){

		$pass_ant_md5=md5($_POST["pass_ant"]);
		$md5=md5($_POST["pass"]);
		if(trim($_SESSION['usuario_p_prov_absa']) != "demo"){
			if($pass_ant_md5 == $_SESSION['pass_p_prov_absa'])
			{
				$qClientes="Update usuariosweb set pass='$md5' where username='".$_SESSION['usuario_p_prov_absa']."'";
			
				$rClientes=mysqli_query($conexion->CONEXION,$qClientes);
				if(mysqli_errno($conexion->CONEXION) == 0)
				{
					$_SESSION['pass_p_prov_absa']=$md5;
					echo 'Contrase&ntilde;a modificada satisfactoriamente.';
				}
			}
			else
			{
					echo 'La contrase&ntilde;a anterior es incorrecta';
			}
		}else{
					echo 'La contrase&ntilde;a de este usuario no se puede cambiar,<br> ya que es demo';
		}

}
?>